Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.code.generator.wrapping
Class SlotAtClassCode

    java.lang.Object
      edu.stanford.smi.protege.code.generator.wrapping.SlotAtClassCode

All Implemented Interfaces:
  Comparable<SlotAtClassCode>

    public class SlotAtClassCode

extends Object
implements Comparable<SlotAtClassCode>

Constructor Summary
`SlotAtClassCode(Cls cls, Slot property)`

Method Summary
`int` | `compareTo(SlotAtClassCode o)`
`Cls` | `getCls()`
`protected String` | `getInstanceValueJavaTypeName()`
`String` | `getJavaName()`
`String` | `getJavaType()`
`String` | `getJavaType(boolean onlyNonPrimitive)`
`String` | `getPrimitiveMethod()`
`Cls` | `getRangeCls()`
`String` | `getRangeClsName()`
`Slot` | `getSlot()`
`String` | `getUpperCaseJavaName()`
`boolean` | `isCustomType()`
`boolean` | `isMultiple()`
`boolean` | `isPrimitive()`
`boolean` | `needsPrimitiveMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlotAtClassCode

    public SlotAtClassCode(Cls cls,
                           Slot property)

Method Detail

### getJavaName

    public String getJavaName()

### getJavaType

    public String getJavaType()

### getJavaType

    public String getJavaType(boolean onlyNonPrimitive)

### getPrimitiveMethod

    public String getPrimitiveMethod()

### needsPrimitiveMethod

    public boolean needsPrimitiveMethod()

### getInstanceValueJavaTypeName

    protected String getInstanceValueJavaTypeName()

### getRangeClsName

    public String getRangeClsName()

### getRangeCls

    public Cls getRangeCls()

### getSlot

    public Slot getSlot()

### getCls

    public Cls getCls()

### getUpperCaseJavaName

    public String getUpperCaseJavaName()

### isCustomType

    public boolean isCustomType()

### isMultiple

    public boolean isMultiple()

### isPrimitive

    public boolean isPrimitive()

### compareTo

    public int compareTo(SlotAtClassCode o)

  Specified by:
    `compareTo` in interface `Comparable<SlotAtClassCode>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.